package com.tanpu.community.api.beans.qo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;


@Data
@ApiModel("二级评论")
public class CommentLv2Qo {

    @ApiModelProperty(value = "id")
    private Integer id;

    @ApiModelProperty(value = "uuid")
    private String commentId;

    @ApiModelProperty(value = "类型")
    private Integer commentType;

    @ApiModelProperty(value = "文本内容")
    private String content;

    @ApiModelProperty(value = "作者id")
    private String authorId;

    @ApiModelProperty(value = "点赞次数")
    private Integer likeCount;

    @ApiModelProperty(value = "评论时间")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "作者昵称")
    private String nickName;

    @ApiModelProperty(value = "作者头像")
    private String userImg;

    @ApiModelProperty(value = "回复用户名")
    private String replyName;

    @ApiModelProperty(value = "当前用户是否点赞")
    private boolean hasLiked;
}
