package com.tanpu.community.api.beans.req.comment;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
@ApiModel(value = "点赞/取消点赞评论")
public class LikeCommentReq {

    @NotBlank
    @ApiModelProperty(value = "评论Id")
    private String commentId;

    @ApiModelProperty(value = "类型，1：点赞 2：取消点赞")
    private Integer type;
}
