package com.tanpu.community.api.beans.req.notification;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;


@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class NotifyQueryReq {

    @ApiModelProperty(value = "1:转发 2：点赞（主题点赞+评论点赞） 3：评论 4：关注 0:全部")
    private Integer type;

    @ApiModelProperty(value = "最后一条通知")
    private String lastId;

    @ApiModelProperty(value = "页幅")
    public Integer pageSize =20;
}
