package com.tanpu.community.api.beans.req.theme;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 专栏同步到圈子
 */
@Data
public class SynchroThemeReq {


    @NotNull(message = "类型不能为空")
    @ApiModelProperty(value = "类型 1：讨论无标题 2：长文有标题")
    private Integer themeType;

    @ApiModelProperty(value = "专栏id")
    private String themeId = "";


    @NotEmpty(message = "内容不能为空")
    @ApiModelProperty(value = "文本内容")
    private List<ThemeContentReq> content;

    public String userId = "";


}
