package com.tanpu.community.api.beans.req.theme;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
public class ThemeListByTopicReq {
    @ApiModelProperty(value = "当前浏览的最后一个themeId")
    private String lastId="";

    @NotNull
    @ApiModelProperty(value = "页面大小")
    private Integer PageSize;

    @NotNull
    @ApiModelProperty(value = "类型，1：最热 2：最新")
    private Integer type;

    @NotNull
    @ApiModelProperty(value = "话题Id")
    private String topicId;


}
