package com.tanpu.community.api.beans.resp;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@ApiModel(value = "文件上传返回")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class FileUploadResp {

    @ApiModelProperty(value = "文件id")
    private String fileId;

    @ApiModelProperty(value = "文件url")
    private String url;

    @ApiModelProperty(value = "图片高度")
    private Integer imgHeight;

    @ApiModelProperty(value = "图片宽度")
    private Integer imgWidth;

    @ApiModelProperty(value = "类型：1：图片")
    private Integer fileType;

    @ApiModelProperty(value = "文件名称")
    private String fileName;

    @ApiModelProperty(value = "阿里云key")
    private String fileOssKey;

    @ApiModelProperty(value = "预签名url")
    private String previewUrl;

}
