package com.tanpu.community.api.beans.vo.feign;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;

/**
 * @author: zhoupeng
 * @email: zhoupeng_08@163.com
 */
@ApiModel("净值")
@Data
@Builder
@AllArgsConstructor
public class Net {
    @ApiModelProperty("基金ID")
    private String fundId;

    @ApiModelProperty("净值日期 返回时间戳")
    private Long netDate;

    @ApiModelProperty("单位净值")
    private String netValue;

    @ApiModelProperty("累计净值(分红再投)")
    private String cumulativeNav;

    public Net() {
    }

    public Net(Long netDate, String netValue, String cumulativeNav) {
        this.netDate = netDate;
        this.netValue = netValue;
        this.cumulativeNav = cumulativeNav;
    }
}
