package com.tanpu.community.api.beans.vo.feign;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@ApiModel("类型")
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class Type {

    @ApiModelProperty("类型id")
    private String id;

    @ApiModelProperty("类型value")
    private String value;

    @ApiModelProperty("资源数量")
    private Integer resourceNum;

    @ApiModelProperty("扩展字段")
    private String ext;

    @ApiModelProperty("产品名称")
    private String productName;
}
