package com.tanpu.community.api.beans.vo.feign.course;

import com.tanpu.community.api.beans.vo.feign.user.FileMetadata;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * @author: zhoupeng
 * <p>
 * =========================================
 * =========================================
 * ========                         ========
 * =======   ==========   =======    =======
 * ======        =====    ==   ====   ======
 * =====        =====     ==    ===    =====
 * =====       =====      ==   ===     =====
 * =====      =====       == ===       =====
 * ======    ==========   ==          ======
 * =======                           =======
 * =========================================
 * =========================================
 * <p>
 * @email: zhoupeng_08@163.com
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class CourseDetailExt extends CourseExt {

    @ApiModelProperty("附件信息")
    private List<FileMetadata> resourcePayResps;


    @ApiModelProperty("上线时间")
    private Long lineTimeLong;

    @ApiModelProperty("下一节")
    private CourseResExt nextCourseResExt;

    @ApiModelProperty("上一节")
    private CourseResExt preCourseResExt;

    @ApiModelProperty("背景图")
    private String cover;

    @ApiModelProperty("讲师名称")
    private String lecturerName;

    @ApiModelProperty("课程文本信息")
    private String courseContext;

}
