package com.tanpu.community.api.beans.vo.feign.course;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(description = "精品课章节")
@Data
public class CurriculumChapterVo {

    @ApiModelProperty("id")
    private String id;
    @ApiModelProperty("章节标题")
    private String title;
    @ApiModelProperty("推荐图")
    private String baking;
    @ApiModelProperty("学习人数")
    private Long readNum;
    @ApiModelProperty("讲师介绍")
    private String teacherIntroduct;
    @ApiModelProperty("推荐理由")
    private String operatorsInfo;
    @ApiModelProperty("所属标签")
    private String label;
    @ApiModelProperty("推荐图片")
    private String recommendCover;


}
