package com.tanpu.community.api.beans.vo.feign.course;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel(description = "精品课信息")
@Data
public class CurriculumDetailVo {

    @ApiModelProperty("课程标题")
    private String ciTitle;
    @ApiModelProperty("封面图")
    private String ciCover;
    @ApiModelProperty("运营推荐话语")
    private String ciOperatorsReason;
    @ApiModelProperty("课程介绍")
    private String ciBriefintro;
    @ApiModelProperty("是否推荐课程")
    private int ciIsrecommend;
    @ApiModelProperty("学习人数")
    private int ccReadActualnum;
    @ApiModelProperty("讲师介绍")
    private String ciTeacherInfo;
    @ApiModelProperty("推荐码")
    private String ciIntroduceCode;
    @ApiModelProperty("推荐课程图片")
    private String introduceImg;
    @ApiModelProperty("推荐章节")
    private List<CurriculumChapterVo> operatorsReason;
    @ApiModelProperty("是否常听")
    private String isOften;

    @ApiModelProperty
    private String ciFeeType;

}
