package com.tanpu.community.api.beans.vo.feign.course;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@ApiModel("短视频(基础信息)")
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ShortVideoBaseInfoResp {

    @ApiModelProperty("资源id")
    private String sourceId;

    @ApiModelProperty("关联栏目id")
    private String columnRelId;

    @ApiModelProperty("视频标题")
    private String title;

    @ApiModelProperty("封面")
    private String cover;

    @ApiModelProperty("视频url")
    private String videoUrl;

    @ApiModelProperty("视频url")
    private Integer relType;

    @ApiModelProperty(value = "讲师")
    private String managerName;

    @ApiModelProperty(value = "时间")
    private Long createTime;

}
