package com.tanpu.community.api.beans.vo.feign.newsfeed;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 发布动态
 *
 * @author hudingguo
 */
@ApiModel("发布动态")
@Data
public class NewsFeedSave4NewCommReq {

    @ApiModelProperty("专栏id")
    private String newsFeedId;

    @ApiModelProperty("专栏内容内容")
    private String content;

    @ApiModelProperty("关联多个内容")
    private List<NewsFeedResReq> newsFeedResList;

    @ApiModelProperty("用户id")
    public String userId = "";
}
