package com.tanpu.community.api.beans.vo.feign.user;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author: zyh
 * @date: 2021-03-13 4:51 下午
 * @description:
 */
@ApiModel("附件查询返回结果")
@Data
public class FileQueryResp {
    @ApiModelProperty("附件ID")
    private String guid;
    @ApiModelProperty("文件原始名称")
    private String originalName;
    @ApiModelProperty("文件原链接")
    private String originalUrl;
    @ApiModelProperty("文件链接")
    private String logicalPath;
    @ApiModelProperty("文件后缀名")
    private String fileSuffix;
    @ApiModelProperty(value = "文件类型", notes = "com.tanpu.common.enums.FileTypeEnums")
    private String fileType;
    @ApiModelProperty("文件属性")
    private String fileAttr;
}
