package com.tanpu.community.api.beans.vo.feign.zhibo;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(description = "根据类型获取直播信息")
@Data
public class ZhiboDetailVO {

    @ApiModelProperty("房间id")
    private String id;

    @ApiModelProperty("直播名称")
    private String ztName;

    @ApiModelProperty("开播时间")
    private Long ztStarttime;

    @ApiModelProperty("结束时间")
    private Long ztEndtime;

    @ApiModelProperty("主讲人信息")
    private String ztUname;

    @ApiModelProperty("直播状态")
    private String ztStatus;

    @ApiModelProperty("封面链接")
    private String ztImg;

    @ApiModelProperty("源封面")
    private String sourceImg;

    @ApiModelProperty("直播类型  1探普之夜，2探普八点半")
    private String ztType;

    @ApiModelProperty("直播l类型 name")
    private String ztTypeName;

    @ApiModelProperty("讲师介绍")
    private String managerName;

    @ApiModelProperty("预约人数")
    private Integer reservationNum;

    @ApiModelProperty("展示参与人次")
    private Integer participantsNum;

    @ApiModelProperty("参与人次")
    private Integer participantsPv;

    @ApiModelProperty("直播标签")
    private String ztTag;

    @ApiModelProperty("参与人次基数")
    private Integer ztCardinal;

    @ApiModelProperty("开始时间")
    private String startTime;

    @ApiModelProperty("直播间描述")
    private String ztDesc;

    @ApiModelProperty("周几")
    private Integer weekDay;

    @ApiModelProperty(value = "探普云参与权限 1所有人，2仅注册用户，3仅探普会员")
    private Integer participationRigth;

    @ApiModelProperty(value = "备注")
    private String explain;

    @ApiModelProperty("是否大于指定时间 0:不大于 1:大于")
    private Integer isThanTime;

    @ApiModelProperty(value = "内容")
    private String ztInfo;

    @ApiModelProperty("可转播设置   1：可转播   0：不可转播")
    private Integer canBroadcast;
}
