package com.tanpu.community.api.enums;

import org.apache.commons.collections4.SetUtils;

import java.util.HashSet;

public enum FileChechStatusEnum {

    INIT(0,"初始化"),
    PASS(1,"审核通过"),
    BLOCK(2,"审核不通过"),
    REVIEW(3,"建议人工审核");


    public static final HashSet<String> ossTypeSet = SetUtils.hashSet("jpg", "jpeg", "png", "txt");

    private Integer code;
    private String type;


    FileChechStatusEnum(Integer code, String type) {
        this.code = code;
        this.type = type;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
}
