package com.tanpu.community.api.enums;

/**
 * 通用操作类型枚举，包括点赞/取消点赞，收藏/取消收藏,关注/取消关注
 */
public enum OperationTypeEnum {
    CONFIRM(1,"确认操作"),
    CANCEL(2,"取消操作");

    private Integer code;
    private String type;

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    OperationTypeEnum(Integer code, String type) {
        this.code = code;
        this.type = type;
    }
}
