package com.tanpu.community.api.enums;

import org.apache.commons.collections4.SetUtils;

import java.util.HashSet;

public enum RankLogTypeEnum {

    TOPIC(1,"话题排序"),THEME(2,"主题排序");


    public static final HashSet<String> imageTypeSet = SetUtils.hashSet("jpg", "jpeg", "png");

    private Integer code;
    private String type;


    RankLogTypeEnum(Integer code, String type) {
        this.code = code;
        this.type = type;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
}
