package com.tanpu.community.api.enums;

import org.apache.commons.collections4.SetUtils;

import java.util.HashSet;

public enum ThemeRecordTypeEnum {

    PUBLISH_LIST(1,"发布列表"),
    COMMENT_LIST(2,"评论列表"),
    LIKE_LIST(3,"点赞"),
    COLLECT_LIST(4,"收藏");


    public static final HashSet<String> imageTypeSet = SetUtils.hashSet("jpg", "jpeg", "png");

    private Integer code;
    private String type;


    ThemeRecordTypeEnum(Integer code, String type) {
        this.code = code;
        this.type = type;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
}
