package com.tanpu.community.config;

import com.tanpu.common.auth.LoginInterceptor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

import javax.annotation.Resource;

/**
 * created by xd on 2021/6/21
 */
@Slf4j
@Configuration
public class WebConfiguration implements WebMvcConfigurer {
    @Resource
    private LoginInterceptor loginInterceptor;

    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        log.info("addInterceptors");

        registry.addInterceptor(loginInterceptor).addPathPatterns("/**");
    }
}
