package com.tanpu.community.dao.mapper.community;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.tanpu.community.dao.entity.community.CollectionEntity;
import com.tanpu.community.dao.entity.community.TimesCountEntity;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 * 收藏/点赞 Mapper 接口
 * </p>
 *
 * @author xudong
 * @since 2021-07-22
 */
public interface CollectionMapper extends BaseMapper<CollectionEntity> {

    @Select("select target_id as id,  count(1) as times from collection ${ew.customSqlSegment}")
    List<TimesCountEntity> selectCountByTargetIds(@Param(Constants.WRAPPER) LambdaQueryWrapper wrapper);


}
