package com.tanpu.community.dao.mapper.community;

import com.tanpu.community.dao.entity.community.RankLogEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 * 话题排序日志记录’ Mapper 接口
 * </p>
 *
 * @author xudong
 * @since 2021-07-30
 */
public interface RankLogMapper extends BaseMapper<RankLogEntity> {

    @Select("select max(round) from rank_log where type = #{type}")
    Long selectMaxRound(@Param("type") Integer type);

    @Select("select * from rank_log where type = #{type} order by id asc limit #{batchSize}")
    List<RankLogEntity> selectByTypeLimit(@Param("type") Integer type, @Param("batchSize") Integer batchSize);
}