package com.tanpu.community.dao.mapper.community;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.tanpu.community.dao.entity.community.ThemeCheckDuplicateEntity;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

/**
 * <p>
 * 主题文字查重表 Mapper 接口
 * </p>
 *
 * @author xudong
 * @since 2021-09-08
 */
public interface ThemeCheckDuplicateMapper extends BaseMapper<ThemeCheckDuplicateEntity> {
    @Update("update theme_check_duplicate set delete_tag=1 where theme_id =#{id}")
    Long deleteByThemeId(@Param("id") String themeId);

    @Select("select max(tmp.d) from (" +
            "select theme_id ,count(*) as d " +
            "from theme_check_duplicate ${ew.customSqlSegment}" +
            ") tmp")
    Integer check(@Param(Constants.WRAPPER) LambdaQueryWrapper wrapper);
}
