package com.tanpu.community.dao.mapper.community;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.tanpu.community.dao.entity.community.ThemeEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tanpu.community.dao.entity.community.TimesCountEntity;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 * 主题内容 Mapper 接口
 * </p>
 *
 * @author xudong
 * @since 2021-07-23
 */
public interface ThemeMapper extends BaseMapper<ThemeEntity> {

    @Select("select former_theme_id as id, count(1) as times from theme ${ew.customSqlSegment}")
    List<TimesCountEntity> selectCountByThemeIds(@Param(Constants.WRAPPER) LambdaQueryWrapper wrapper);
}
