package com.tanpu.community.api;

import com.google.common.collect.ImmutableMap;

import java.util.Map;

/**
 * monitor系统常量
 */
public final class CommunityConstant {
    public static final String WEB_BASE_PATH = "/community";

    public static final String PACKAGE_BASE = "com.tanpu.community";

    public static final String OSS_PREFIX_URL ="http://tamperfeodev.oss-cn-shanghai.aliyuncs.com/";

    public static final String OSS_PREFIX_FOLDER ="community/";

    //图片压缩比例:50%
    public static final String OSS_RESIZE_RATIO = "?x-oss-process=image/resize,p_50";

    // 图片审核不通过的替换默认图片
    public static final String OSS_CHECK_FAIL_DEFAULT = "https://tamp-sit.oss-cn-shanghai.aliyuncs.com/community/pic/default/check_fail.png";
    public static final Integer OSS_CHECK_FAIL_DEFAULT_WIDTH = 1035;
    public static final Integer OSS_CHECK_FAIL_DEFAULT_HEIGHT = 1115;

    public static final String THEME_PREFIX ="NEW_THEME_";
    // 旧图片上传地址
    public static final String OLD_FILE_UPLOAD_URL ="http://tp-fatools-svc/fatools/h5/rest/common/uploadSingleFile";

    // 首页背景图配置
    public static final Map<String,String> BACKGROUND_IMG_URL_MAP = ImmutableMap.of
            // 西安家办
            ("309054222178349056","https://tamp-pro.oss-cn-shanghai.aliyuncs.com/corpCert/xi-an-homepage/green-yellow.png"
            // 测试环境
            ,"295920641461243904","https://tamp-pro.oss-cn-shanghai.aliyuncs.com/corpCert/xi-an-homepage/green-yellow.png"
            // 默认
            ,"default","https://tamp-pro.oss-cn-shanghai.aliyuncs.com/corpCert/xi-an-homepage/blue.png");



}
