package com.tanpu.community.api.beans.qo;


import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ThemeAnalysDO {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主题Id")
    private String themeId;

    @ApiModelProperty(value = "作者id")
    private String authorId;


    @ApiModelProperty(value = "所属的话题")
    private String topicId;

    @ApiModelProperty(value = "转发量")
    private Integer forwardCount;

    @ApiModelProperty(value = "评论量")
    private Integer commentCount;

    @ApiModelProperty(value = "点赞量")
    private Integer likeCount;

    @ApiModelProperty(value = "收藏量")
    private Integer collectCount;

    @ApiModelProperty(value = "收藏量")
    private Integer viewCount;

    @ApiModelProperty(value = "距今时间")
    private Long minutesTillNow;

    @ApiModelProperty(value = "用户质量")
    private Double userWeight = 0.0;

    private Double score=0.0;


}
