package com.tanpu.community.api.beans.req.comment;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@ApiModel(value = "举报评论")
@Data
public class ReportCommentReq {

    @NotBlank
    @ApiModelProperty(value = "评论Id")
    private String commentId;

    @ApiModelProperty(value = "举报理由")
    private String reason;

}
