package com.tanpu.community.api.beans.req.theme;


import com.tanpu.community.api.beans.req.page.Pageable;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
public class ThemeListReq {

    @ApiModelProperty(value = "用户Id")
    private String userId;

    @NotNull(message = "主题类型不能为空")
    @ApiModelProperty(value = "类型，1：推荐 2：关注 3：话题-热门 4：话题-最新")
    public Integer type;

    @ApiModelProperty(value = "话题Id")
    public String topicId;

    @NotNull(message = "分页")
    public Pageable page;

    @ApiModelProperty(value = "session_id")
    public String ident;
}
