package com.tanpu.community.api.beans.vo.feign.course;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author: zhoupeng
 * <p>
 * =========================================
 * =========================================
 * ========                         ========
 * =======   ==========   =======    =======
 * ======        =====    ==   ====   ======
 * =====        =====     ==    ===    =====
 * =====       =====      ==   ===     =====
 * =====      =====       == ===       =====
 * ======    ==========   ==          ======
 * =======                           =======
 * =========================================
 * =========================================
 * <p>
 * @email: zhoupeng_08@163.com
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class LikeCourse extends BaseCoursePackage {

    private String coursePackageId;

    private String coursePackageMainTitle;

    @ApiModelProperty("讲师名称")
    private String name;

}
