package com.tanpu.community.api.beans.vo.feign.fund;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @description:
 * @author: zejia zj wu
 * @create: 2021-07-29 10:16
 **/
@ApiModel("基金公司信息 社区专用 ")
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
public class FundCompanySimpleVO {

    @ApiModelProperty(value="公司成立日期")
    private Long establishDate;

    @ApiModelProperty(value="备案编码")
    private String registerNumber;

    @ApiModelProperty(value="基金数量")
    private Integer fundCount;
}
