package com.tanpu.community.api.beans.vo.feign.newsfeed;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor

public class NewsFeedResReq {

    /**
     * 关联类型
     */
    @ApiModelProperty("关联类型 产品:88 直播：3 短视频：6 图片：122")
    private Integer relType;

    /**
     * 关联id
     */
    @ApiModelProperty("关联id")
    private String relId;

    /**
     * 产品类型   rel_type等于产品生效
     */
    private Integer productType;

    /**
     * 备注说明
     */
    private String remark;

}
