package com.tanpu.community.api.beans.vo.feign.product;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author: zhoupeng
 * <p>
 * =========================================
 * =========================================
 * ========                         ========
 * =======   ==========   =======    =======
 * ======        =====    ==   ====   ======
 * =====        =====     ==    ===    =====
 * =====       =====      ==   ===     =====
 * =====      =====       == ===       =====
 * ======    ==========   ==          ======
 * =======                           =======
 * =========================================
 * =========================================
 * <p>
 * @email: zhoupeng_08@163.com
 */
@ApiModel("发刊词信息 Progression")
@Data
public class Progression {
    @ApiModelProperty("发刊词状态 1:有发刊词 2:没有发刊词")
    private Integer progressionStatus;

    @ApiModelProperty("名称")
    private String progressionName;

    @ApiModelProperty("时间")
    private Long time;

    @ApiModelProperty("发刊词地址")
    private String progressionURL;
}
