package com.tanpu.community.api.beans.vo.feign.user;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel
@Data
public class FileMetadata {

  @ApiModelProperty(value = "ID")
  private String id;
  @ApiModelProperty(value = "文件标识")
  private String fileId;
  @ApiModelProperty(value = "文件名")
  private String fileName;
  @ApiModelProperty(value = "文件大小（单位：字节）")
  private Integer fileSize;
  @ApiModelProperty(value = "文件类型")
  private String fileType;
  @ApiModelProperty(value = "预览链接")
  private String previewLink;
  @ApiModelProperty(value = "预览链接列表（多张图片预览）")
  private List<String> previewLinks;
  @ApiModelProperty(value = "原文件链接")
  private String link;
  @ApiModelProperty(value = "文档转换状态")
  private Integer status;

  @ApiModelProperty("需不需要支付 1:需要 2:不需要")
  private Integer needBuy;
  @ApiModelProperty("付费模式 1：免费 2：积分  3：现金")
  private Integer chargeMode;
  @ApiModelProperty("价格")
  private String price;
  @ApiModelProperty("积分")
  private Integer score;
  @ApiModelProperty("有没有支付 1:未购买 2:已购买")
  private Integer isBuy;
}
