package com.tanpu.community.api.enums;

import org.apache.commons.collections4.SetUtils;

import java.util.HashSet;

public enum FileTypeEnum {

    IMAGE(1,"图片类型"),QUERY_IDOLS(2,"查询关注");


    public static final HashSet<String> ossTypeSet = SetUtils.hashSet("jpg", "jpeg", "png", "txt");

    private Integer code;
    private String type;


    FileTypeEnum(Integer code, String type) {
        this.code = code;
        this.type = type;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
}
