package com.tanpu.community.api.enums;

/**
 * @program: wealthgrow-new
 * @description: 基金公司类型枚举
 * @author: zejia zj wu
 * @create: 2021-07-22 11:24
 **/
public enum FundCompanyTypeEnum {
    PUBLIC(0,"公募"),
    PRIVATE(1,"私募"),
    WHITELIST(2,"白名单");

    private Integer code;
    private String type;

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    FundCompanyTypeEnum(Integer code, String type) {
        this.code = code;
        this.type = type;
    }
}
