package com.tanpu.community.api.enums;

/**
 * @program: wealthgrow-new
 * @description: 圈子关注状态枚举
 * @author: zejia zj wu
 * @create: 2021-07-22 11:15
 **/
public enum ShowFollowStatusEnum {
    NOT_FOLLOWED(0,"未关注"),
    FOLLOWED(1,"已关注");

    private Integer code;
    private String type;

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    ShowFollowStatusEnum(Integer code, String type) {
        this.code = code;
        this.type = type;
    }
}
