package com.tanpu.community.api.enums;

public enum ThemeListTypeEnum {


    RECOMMEND(1,"推荐列表"),
    FOLLOW(2,"关注列表"),
    TOPIC_HOT(3,"主题-热门列表"),
    TOPIC_LATEST(4,"主题-最新列表");

    private Integer code;
    private String type;

    ThemeListTypeEnum(Integer code, String type) {
        this.code = code;
        this.type = type;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
}
