package com.tanpu.community.dao.mapper.community;

import com.tanpu.community.dao.entity.community.TopicEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 * 话题 Mapper 接口
 * </p>
 *
 * @author xudong
 * @since 2021-07-22
 */
public interface TopicMapper extends BaseMapper<TopicEntity> {
    @Select("select * from topic where id>#{startId} and delete_tag=0 and is_conceal=0 order by id asc limit #{size}")
    List<TopicEntity> selectGtIdPageable(@Param("startId") Long startId, @Param("size") Integer size);
}
